Page MenuHomePhabricator

RC page: Very long words cause horizontal scrolling
Open, Needs TriagePublic

Description

The RC page will not wrap very long words in edit summaries. For example, if it's all one extremely long word, there will be no wrapping at all, and the RC page will have horizontal scrolling.

Possible solution: word-break: break-all.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2017, 1:45 AM

There is an edit summary limit in both wikitext and VE, though VE displays it better (decreasing number in bottom-right of "Save your changes" dialog next to "Watch this page").

I don't think there is any truncation on the RC page itself. It seems like the issue is that wikitext editor should display the edit summary limit better (but that might be fixed in the new wikitext editor anyway).

Per triage and follow-up, for the "Cut in the middle of the word without any indication to the user", the RecentChanges page is not doing anything. It is just displaying the already-limited text in the database.

As I suspected (see above), the user is already warned properly about this on the new wikitext editor ("New wikitext mode" in Beta Features) and on VisualEditor. I've filed it for the old wikitext editor as T159303: Show user number of remaining characters allowed for edit summary .

"No wrapping for a comment without word separators" is as @Etonkovidova described. This could perhaps be fixed easily with:

word-break: break-all;

I'm not sure the exact default behavior and about possible side-effects of that change.

I'll narrow this task to that part.

Mattflaschen-WMF renamed this task from RC page: Properly truncate comments for new pages creation to RC page: Very long words cause horizontal scrolling.EditedMar 1 2017, 3:37 AM
Mattflaschen-WMF updated the task description. (Show Details)

Also, I verified there is no two-line limit.

I've tried fixing this and made some changes in the "span.comment" element. Adding

display:inline-block;
vertical-align:inherit;
width:30%;

Fixes this issue.
PS:I'm not sure about the other possible effects of this.

I've tried fixing this and made some changes in the "span.comment" element.

@lakshay234: Thanks for taking a look at the code!
You are very welcome to use developer access to submit the proposed code changes as a Git branch directly into Gerrit which makes it easier to review them quickly and provide feedback. If you don't want to set up Git/Gerrit, you can also use the Gerrit Patch Uploader. Thanks again!

Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 23 2019, 9:40 AM